Loading...
Searching...
No Matches
juce::AudioProcessor::ParameterChangeForwarder Class Reference

The documentation for this class was generated from the following file:

- juce_audio_processors_headless/processors/juce_AudioProcessor.h

Inheritance diagram for juce::AudioProcessor::ParameterChangeForwarder:

## Public Member Functions

| ParameterChangeForwarder (AudioProcessor *o)
| ParameterChangeForwarder (const ParameterChangeForwarder &other)
ParameterChangeForwarder & | operator= (const ParameterChangeForwarder &other)
void | parameterValueChanged (int, float) override
| Receives a callback when a parameter has been changed.
void | parameterGestureChanged (int, bool) override
| Indicates that a parameter change gesture has started.
Public Member Functions inherited from juce::AudioProcessorParameter::Listener
virtual | ~Listener ()=default
| Destructor.

## Constructors and Destructors

## ParameterChangeForwarder() [1/2]

juce::AudioProcessor::ParameterChangeForwarder::ParameterChangeForwarder | ( | AudioProcessor * | o | ) |

inline explicit

References juce::AudioProcessor::AudioProcessor().

Referenced by operator=(), and ParameterChangeForwarder().

## ParameterChangeForwarder() [2/2]

juce::AudioProcessor::ParameterChangeForwarder::ParameterChangeForwarder | ( | const ParameterChangeForwarder & | other | ) |

inline

References ParameterChangeForwarder().

## Member Functions

## operator=()

ParameterChangeForwarder & juce::AudioProcessor::ParameterChangeForwarder::operator= | ( | const ParameterChangeForwarder & | other | ) |

inline

References ParameterChangeForwarder().

## parameterValueChanged()

void juce::AudioProcessor::ParameterChangeForwarder::parameterValueChanged | ( | int | parameterIndex,
|  | float | newValue )

override virtual

Receives a callback when a parameter has been changed.

IMPORTANT NOTE: This will be called synchronously when a parameter changes, and many audio processors will change their parameter during their audio callback. This means that not only has your handler code got to be completely thread-safe, but it's also got to be VERY fast, and avoid blocking. If you need to handle this event on your message thread, use this callback to trigger an AsyncUpdater or ChangeBroadcaster which you can respond to on the message thread.

Implements juce::AudioProcessorParameter::Listener.

## parameterGestureChanged()

void juce::AudioProcessor::ParameterChangeForwarder::parameterGestureChanged | ( | int | parameterIndex,
|  | bool | gestureIsStarting )

override virtual

Indicates that a parameter change gesture has started.

E.g. if the user is dragging a slider, this would be called with gestureIsStarting being true when they first press the mouse button, and it will be called again with gestureIsStarting being false when they release it.

IMPORTANT NOTE: This will be called synchronously, and many audio processors will call it during their audio callback. This means that not only has your handler code got to be completely thread-safe, but it's also got to be VERY fast, and avoid blocking. If you need to handle this event on your message thread, use this callback to trigger an AsyncUpdater or ChangeBroadcaster which you can respond to later on the message thread.

Implements juce::AudioProcessorParameter::Listener.

References juce::AudioProcessor::AudioProcessor().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited